# Class: GraphicImage

## GraphicImage()

#### new GraphicImage()

Source:
  - GraphicImage.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<GraphicImage>}

构造一个新的 GraphicImage 对象。

Source:
  - GraphicImage.js, line 34

##### Returns:

Type
  Promise.<GraphicImage>

#### (async, static) getAlpha() → {Promise.<*>}

获取透明度

Source:
  - GraphicImage.js, line 199

##### Returns:

Type
  Promise.<*>

#### (async, static) getAnchorPoint() → {Promise.<*>}

获取锚点

Source:
  - GraphicImage.js, line 95

##### Returns:

Type
  Promise.<*>

#### (async, static) getImage() → {Promise.<*>}

获取图片

Source:
  - GraphicImage.js, line 154

##### Returns:

Type
  Promise.<*>

#### (async, static) getImageHeight() → {Promise.<*>}

获取图片高度

Source:
  - GraphicImage.js, line 241

##### Returns:

Type
  Promise.<*>

#### (async, static) getImageWidth() → {Promise.<*>}

获取图片宽度

Source:
  - GraphicImage.js, line 227

##### Returns:

Type
  Promise.<*>

#### (async, static) getPoint() → {Promise.<Dot>}

获取位置

Source:
  - GraphicImage.js, line 170

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getRotateAngle() → {Promise.<*>}

获取旋转角度

Source:
  - GraphicImage.js, line 185

##### Returns:

Type
  Promise.<*>

#### (async, static) isSlope() → {Promise.<*>}

获取是否随地图倾斜

Source:
  - GraphicImage.js, line 213

##### Returns:

Type
  Promise.<*>

#### (async, static) setAlpha(alpha) → {Promise.<void>}

设置透明度

##### Parameters:

Name | Type | Description
--- | --- | ---
`alpha` | number | 透明度：0(透明)-255(不透明)

Source:
  - GraphicImage.js, line 113

##### Returns:

Type
  Promise.<void>

#### (async, static) setAnchorPoint(anchorPoint) → {Promise.<void>}

设置锚点

##### Parameters:

Name | Type | Description
--- | --- | ---
`anchorPoint` | Object | 图片锚点的位置：左下角为(0,0),右上角为(1,1)

Source:
  - GraphicImage.js, line 80

##### Returns:

Type
  Promise.<void>

#### (async, static) setImage(image) → {Promise.<void>}

设置图片

##### Parameters:

Name | Type | Description
--- | --- | ---
`image` | Object |

Source:
  - GraphicImage.js, line 51

##### Returns:

Type
  Promise.<void>

#### (async, static) setPoint(point) → {Promise.<void>}

设置位置

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Object |

Source:
  - GraphicImage.js, line 66

##### Returns:

Type
  Promise.<void>

#### (async, static) setRotateAngle(rotateAngle) → {Promise.<void>}

设置旋转角度

##### Parameters:

Name | Type | Description
--- | --- | ---
`rotateAngle` | Number |

Source:
  - GraphicImage.js, line 127

##### Returns:

Type
  Promise.<void>

#### (async, static) setSlope(IsSlope) → {Promise.<void>}

设置是否随地图倾斜

##### Parameters:

Name | Type | Description
--- | --- | ---
`IsSlope` | Boolean |

Source:
  - GraphicImage.js, line 141

##### Returns:

Type
  Promise.<void>